% \usepackage[usenames,dvipsnames]{pstricks}
% \usepackage{epsfig}
% \usepackage{pst-grad} % For gradients
% \usepackage{pst-plot} % For axes
% \usepackage[space]{grffile} % For spaces in paths
% \usepackage{etoolbox} % For spaces in paths
% \makeatletter % For spaces in paths
% \patchcmd\Gread@eps{\@inputcheck#1 }{\@inputcheck"#1"\relax}{}{}
% \makeatother
% % User Packages:
% 
% 

\psscalebox{1.0 1.0} % Change this value to rescale the drawing.
{
\begin{pspicture}(0,-1.694813)(3.2535353,1.694813)
\definecolor{colour0}{rgb}{0.0,0.26666668,1.0}
\psframe[linecolor=black, linewidth=0.04, dimen=outer](2.2908332,-0.26048616)(1.6533333,-0.8979862)
\rput[bl](1.839,-0.52531946){$m$}
\psline[linecolor=black, linewidth=0.02](0.42166665,-1.6363323)(0.42316666,1.3316805)
\psframe[linecolor=white, linewidth=0.014, fillstyle=vlines, hatchwidth=0.028222222, hatchangle=45.0, hatchsep=0.1411111, dimen=outer](0.41066667,1.1298728)(0.0,-1.5909477)
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(0.46193683,-1.5440058)(1.9852426,-1.5377871)
\rput[bl](1.1909744,-1.4510503){$\vec{x}$}
\rput{-3.5968049}(0.041684102,0.1239497){\psdots[linecolor=black, dotsize=0.1](1.9946667,-0.6018195)}

\psline[linecolor=black, linewidth=0.02](1.9755129,-1.6947938)(1.9770129,-0.9113964)

\pause

\psline[linecolor=black, linewidth=0.054, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(2.0826666,-0.5991528)(3.3659487,-0.6098195)
\rput[bl](2.7796924,-1.0393579){$\vec{P}$}
\psline[linecolor=colour0, linewidth=0.054, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(1.9318974,-0.6145374)(0.7659487,-0.61905026)
\rput[bl](1.1670427,-1.0489306){$\vec{F}$}

\pause
\rput[bl](0.961121,0.34329838){$k_p$}

\psline[linecolor=black, linewidth=0.04](0.40875372,-0.07944859)(0.6230974,-0.07944859)(0.6292206,0.1851668)(0.8190408,-0.27637166)(0.82516396,0.17901295)(1.0272306,-0.28867936)(1.0456003,0.1728591)(1.2354203,-0.3071409)(1.2415437,0.1728591)(1.4068708,-0.32560244)(1.4558567,0.16670527)(1.5354587,-0.07329474)(1.9602067,-0.07329474)
\psline[linecolor=black, linewidth=0.04](1.9576728,-0.0814905)(1.9541221,-0.26350883)

\pause

\psline[linecolor=black, linewidth=0.04](0.44102564,1.0441293)(0.83487177,1.0441293)(0.82871795,1.216437)(1.105641,1.2225908)(1.1179488,0.89028305)(0.83487177,0.89028305)(0.83487177,1.0441293)
\psline[linecolor=black, linewidth=0.04](0.74964815,1.2964369)(1.3271794,1.2902831)(1.3265355,1.0441293)(1.3219559,0.82259077)(0.7425641,0.82259077)
\psline[linecolor=black, linewidth=0.04](1.3394872,1.0502831)(1.9535043,1.0485737)(1.9562393,-0.075616345)
\rput[bl](1.0700855,1.404813){$k_d$}
\end{pspicture}
}
